Package javassist.compiler.ast

# Class IntConst

java.lang.Object
javassist.compiler.ast.ASTree
javassist.compiler.ast.IntConst

All Implemented Interfaces:
  `Serializable`

public class IntConst extends ASTree
Integer constant.

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`IntConst(long v, int tokenId)`

## Method Summary

Modifier and Type
Method
Description
`void`
`accept(Visitor v)`
Is a method for the visitor pattern.
`ASTree`
`compute(int op, ASTree right)`
`long`
`get()`
`int`
`getType()`
`void`
`set(long v)`
`String`
`toString()`

### Methods inherited from class javassist.compiler.ast.ASTree

`getLeft, getRight, setLeft, setRight`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### IntConst

public IntConst(long v, int tokenId)

## Method Details

### get

public long get()

### set

public void set(long v)

### getType

public int getType()

### toString

public String toString()

Overrides:
  `toString` in class `ASTree`

### accept

public void accept(Visitor v) throws javassist.compiler.CompileError
Description copied from class: `ASTree`
Is a method for the visitor pattern. It calls `atXXX()` on the given visitor, where `XXX` is the class name of the node object.

Specified by:
  `accept` in class `ASTree`
Throws:
  `javassist.compiler.CompileError`

### compute

public ASTree compute(int op, ASTree right)